

USE [SageFrontOfficePruebas]
GO

/****** Object:  View [RADIO].[V_CUSTOMERS]    Script Date: 08/02/2021 18:05:25 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [RADIO].[V_CUSTOMERS_AZ]
AS

SELECT	CONVERT(int, US.ID) AS CUS_ID, US.IDENT AS CUS_IDENT, US.NAME AS CUS_NAME, ISNULL(CNT.CUS_EMAIL, '') AS CUS_EMAIL, 
		CONVERT(int, US.REGIST_NUM) AS CUS_BRANCH,   
		 '169' CUS_COUNTRYCODE ,  ISNULL(DP.MunpioCODE, '11001') CUS_CITYCODE ,ISNULL(CONVERT(varchar,DP.DeptoCODE),'11') CUS_STATECODE, 
		 Case when DP.MunpioName is null then '1' else '' end SINDATOS  
FROM    ICSM_PRUEBA.dbo.USERS AS US 
LEFT JOIN   ( 
SELECT IDX, ID, OPER_ID, FIRSTNAME,  ADDRESS, CITY_ID from (
Select ROW_NUMBER() OVER(PARTITION BY OPER_ID ORDER BY id ) IDX, * 
from ICSM_PRUEBA.dbo.USERS_CNTCT CO WHERE ROLE =4  
) AS CT WHERE CT.IDX=1     )  CT ON  CT.OPER_ID=US.ID
LEFT JOIN ICSM_PRUEBA.dbo.CITIES CI   ON  CI.ID=CT.CITY_ID
LEFT JOIN ICSM_PRUEBA.dbo.VAC_DIVIPOLA DP ON DP.MunpioCode=CI.CODE and DP.CabeceraCode is null
INNER JOIN
        (
			SELECT US.IDENT
            FROM  ICSM_PRUEBA.dbo.USERS AS US INNER JOIN
                    ICSM_PRUEBA.dbo.SERV_LICENCE AS SERV ON US.ID = SERV.OWNER_ID
            WHERE (	US.STATUS <> 'uNAC') 
					AND (SERV.STATUS NOT IN ('eX0', 'eVEN', 'eX1', 'eX3', 'eX1B', 'eX4', 'eX4B', 'eX2B')) 
					AND (SERV.CLASS IN (4, 13, 27))
            GROUP BY  US.IDENT
		) AS US1 ON US.IDENT = US1.IDENT AND US.REGIST_NUM = 0 
LEFT OUTER JOIN RADIO.V_CUSTOMERS_EMAIL AS CNT ON US.ID = CNT.OPER_ID
GO


USE [SageFrontOfficePruebas]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

ALTER VIEW [RADIO].[V_EXPEDIENTES]
AS
SELECT DISTINCT 
                         CONVERT(int, SERV.ID) SERV_ID, CONVERT(int, SERV.NUMBER) SERV_NUMBER, CONVERT(int, LIC.NUMBER) LIC_NUMBER, CONVERT(int, US.ID) AS CUS_ID, US.IDENT  CUS_IDENT, US.NAME  CUS_NAME, CONVERT(int, 
                         US.REGIST_NUM) CUS_BRANCH, isnull(CEM.CUS_EMAIL, '')  CUS_EMAIL, PLANB.STATION_CLASS  STATION_CLASS, PLANB.STATE  STATE, C.NAME  AS DEPTO, PLANB.CITY  CITY, CONVERT(float, PLANB.POWER) POWER, CONVERT(float, PLANB.ASL) ASL, 
                         PLANB.FREQ FREQUENCY, PLANB.CALL_SIGN  CALL_SIGN, isnull(FM.NAME, 'NA')  SERV_NAME, isnull(SERV.STOP_DATE, '19000101') STOP_DATE, 'FM' MODULATION, SERV.STATUS  SERV_STATUS, SERV.CUST_TXT3  CUST_TXT3, CAST(0 AS bit) 
                         AS EsTemporal, CONVERT(int, PLANB.CODE_AREA) AS CODE_AREA_MUNICIPIO, PLANB.CODE_AREA AS MUNICIPIO
FROM            [ICSM_PRUEBA].[dbo].SERV_LICENCE AS SERV JOIN
                         [ICSM_PRUEBA].[dbo].USERS AS US ON US.ID = SERV.OWNER_ID JOIN
                         [ICSM_PRUEBA].[dbo].LICENCE AS LIC ON LIC.SRVLIC_ID = SERV.ID JOIN
                         [ICSM_PRUEBA].[dbo].FM_STATION AS FM ON FM.LIC_ID = LIC.ID AND FM.ID > 0 JOIN
                         [ICSM_PRUEBA].[dbo].PLAN_BRO_MINTIC AS PLANB ON PLANB.CALL_SIGN = FM.CALL_SIGN /*And PLANB.NUMBER=SERV.NUMBER*/ JOIN
                         [ICSM_PRUEBA].[dbo].CITIES AS C ON C.CODE = SUBSTRING(PLANB.CODE_AREA, 1, 2) LEFT JOIN
                         RADIO.V_CUSTOMERS_EMAIL CEM ON US.ID = CEM.OPER_ID
WHERE        SERV.CLASS IN (4, 13, 27) AND US.STATUS <> 'uNAC' AND SERV.STATUS NOT IN ('eX0', 'eX1', 'eX3', 'eX1B', 'eX4', 'eX4B', 'eX2B') AND LIC.STATUS NOT IN ('rX3', 'rFAL', 'rX1', 'rVEN', 'rX4') AND LIC.NUMBER IS NOT NULL
UNION ALL
SELECT DISTINCT 
                         CONVERT(int, SERV.ID) SERV_ID, CONVERT(int, SERV.NUMBER) SERV_NUMBER, CONVERT(int, LIC.NUMBER) LIC_NUMBER, CONVERT(int, US.ID) AS CUS_ID, US.IDENT CUS_IDENT, US.NAME CUS_NAME, CONVERT(int, 
                         US.REGIST_NUM) CUS_BRANCH, isnull(CEM.CUS_EMAIL, '') CUS_EMAIL, PLANB.STATION_CLASS  STATION_CLASS, PLANB.STATE, C.NAME AS DEPTO, PLANB.CITY, CONVERT(float, PLANB.POWER) POWER, CONVERT(float, PLANB.ASL) ASL, 
                         PLANB.FREQ FREQUENCY, PLANB.CALL_SIGN, isnull(AM.NAME, 'NA') SERV_NAME, isnull(SERV.STOP_DATE, '19000101') STOP_DATE, 'AM' MODULATION, SERV.STATUS SERV_STATUS, SERV.CUST_TXT3, CAST(0 AS bit) 
                         AS EsTemporal, CONVERT(int, PLANB.CODE_AREA) AS CODE_AREA_MUNICIPIO, PLANB.CODE_AREA AS MUNICIPIO
FROM            [ICSM_PRUEBA].[dbo].SERV_LICENCE AS SERV JOIN
                         [ICSM_PRUEBA].[dbo].USERS AS US ON US.ID = SERV.OWNER_ID JOIN
                         [ICSM_PRUEBA].[dbo].LICENCE AS LIC ON LIC.SRVLIC_ID = SERV.ID JOIN
                         [ICSM_PRUEBA].[dbo].LFMF_STATION AS AM ON AM.LIC_ID = LIC.ID AND AM.ID > 0 JOIN
                         [ICSM_PRUEBA].[dbo].PLAN_BRO_MINTIC AS PLANB ON PLANB.CALL_SIGN = AM.CALL_SIGN JOIN
                         [ICSM_PRUEBA].[dbo].CITIES AS C ON C.CODE = SUBSTRING(PLANB.CODE_AREA, 1, 2) LEFT JOIN
                         RADIO.V_CUSTOMERS_EMAIL CEM ON US.ID = CEM.OPER_ID
WHERE        SERV.CLASS IN (4, 13, 27) AND US.STATUS <> 'uNAC' AND SERV.STATUS NOT IN ('eX0', 'eX1', 'eX3', 'eX1B', 'eX4', 'eX4B', 'eX2B') AND LIC.STATUS NOT IN ('rX3', 'rFAL', 'rX1', 'rVEN', 'rX4') AND LIC.NUMBER IS NOT NULL
UNION ALL
SELECT        SERV_ID, SERV_NUMBER, LIC_NUMBER, CUS_ID, CUS_IDENT, CUS_NAME, CUS_BRANCH, CUS_EMAIL, STATION_CLASS, STATE, DEPTO, CITY, POWER, ASL, FREQUENCY, CALL_SIGN, SERV_NAME, STOP_DATE, 
                         MODULATION, SERV_STATUS, CUST_TXT3, CAST(1 AS bit) AS EsTemporal, CAST(1 AS bit) AS CODE_AREA_MUNICIPIO, CAST('11001' AS nvarchar) AS MUNICIPIO
FROM            [SageFrontOfficePruebas].RADIO.EXPEDIENTES_TEMPORALES
GO





